
# BizChart Documentation

## Tutorial
- [Getting Started](/doc_en/tutorial/start.md)
- [Chart Basics & Components](/doc_en/tutorial/chart.md)
- [Chart Types](/doc_en/tutorial/chartType.md)
- [Data](/doc_en/tutorial/data.md)
- [DataSet](/doc_en/tutorial/dataset.md)
- [Dataflow](/doc_en/tutorial/dataflow.md)
- [Theme](/doc_en/tutorial/theme.md)
- [Interaction](/doc_en/tutorial/interaction.md)
- [Animation](/doc_en/tutorial/animate.md)

## API Documentation
- [BizCharts](/doc_en/api/bizcharts.md)
- Components
  - [Chart](/doc_en/api/chart.md)
  - [Coord](/doc_en/api/coord.md)
  - [Axis](/doc_en/api/axis.md)
  - [Geom](/doc_en/api/geom.md)
  - [Label](/doc_en/api/label.md)
  - [Legend](/doc_en/api/legend.md)
  - [Tooltip](/doc_en/api/tooltip.md)
  - [Guide](/doc_en/api/guide.md)
  - [Facet](/doc_en/api/facet.md)
  - [View](/doc_en/api/view.md)
- Plugins
  - [Slider](//github.com/alibaba/BizCharts/blob/slider/plugin/slider/README.md)
- Methods & Tools
  - [scale](/doc_en/api/scale.md)
  - [shape](/doc_en/api/shape.md)
  - [dataset](/doc_en/api/dataset.md)
  - [connector](/doc_en/api/connector.md)
  - [transform](/doc_en/api/transform.md)
  - [theme](/doc_en/api/theme.md)
  - [slider](https://github.com/alibaba/BizCharts/tree/slider/plugin/slider)

## FAQ & Common Issues
- [Got a problem? Check this out first. :point_left:](/doc_en/faq/faq.md#ques)
- [No enough space for axis or get a broken axis?](/doc_en/faq/faq.md#axisSpace)
- [How to customize the label of axis?](/doc_en/faq/faq.md#customLabel)
- [How to display and customize tooltips?](/doc_en/faq/faq.md#tooltipShow)
